Kerbal Space Program - Bug #26879

Graphic Bug: housing of the SP-L 1x6 and or the SP-W 3x2 appears half opened
12/18/2020 06:56 PM - Rakete

Status: Resolved Start date: 12/18/2020
Severity: Low % Done: 100%
Assignee:
Category: Graphics
Target version: 1.12.0
Version: 1.11.0 Language: Deutsch (German), English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making
History
Description

I think a found a new bug:
The housing of the SP-L 1x6 and or the SP-W 3x2 solar panels does happen to appear half opened:

See here: https://imgur.com/6Tf6dyb

It's a bit immersion breaking. Can you please fix this in 1.11.1 ?

| tried out: It happens always when you switch to a vehicle with these modules (if they are retracted) . You can deploy them and
retract them, and then they work correctly. But if you switch to the KSC and to the vehicle again it's half opened again. Needs fixing,
as it looks like the kerbal engineers forgot to close it properly.

History

#1 - 12/18/2020 06:57 PM - Rakete

Addendum: Reloading KSP does not fix the broken graphics of these modules.

#2 - 12/18/2020 07:03 PM - Rakete

- Subject changed from housing of the SP-L 1x6 and or the SP-W 3x2 does happen to appear half opened to Graphic Bug: housing of the SP-L 1x6
and or the SP-W 3x2 appears half opened

#3 - 12/18/2020 07:09 PM - dok_377
- File screenshot21.jpg added

Can confirm, seeing it myself. Barely noticeable, but still there nonetheless.

#4 - 12/20/2020 10:20 PM - Rakete
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Addendum: Partially opened hatch is not visible in VAB or SPH. The respective Vessel must be in flight. Then you can see it, when you zoom in (if
solar panels are retracted). It bothers me quite a lot in the visuals. Can you please fix this in 1.11.1 ?

#6 - 01/17/2021 04:16 AM - ancassid
- Platform OSX added

| believe this is a duplicate of #21434https://bugs.kerbalspaceprogram.com/issues/21434

#7 - 01/17/2021 06:39 PM - Rakete

Not a duplicate but maybe the same or similar root issue. Needs repair asap for visual immersion reasons.

#8 - 01/29/2021 09:25 PM - MarlusKeep
Not fixed on 1.11.1

=/
#9 - 02/01/2021 09:07 PM - Rakete
Not fixed in 1.11.1

Please fix.

#10 - 02/06/2021 06:26 PM - Rakete
- File Halfway opened Solarpanels.JPG added

Added another evidence picture for KSP 1.11.1

#11 - 03/17/2021 09:16 PM - Rakete
Still not fixed in 1.11.2.

So i stopped playing ksp due to this immersion killer.

#12 - 06/24/2021 10:27 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#13 - 07/04/2021 08:03 PM - Rakete

Didn't manage to upgrade to 1.12 yet, due to some gamebreaking bugs for me. Maybe someone else could say something to this?

#14 - 07/06/2021 12:40 PM - Rakete

Seems to be related to https:/bugs.kerbalspaceprogram.com/issues/28047, which is still an issue in 1.12

Unfortunately | can't test right now myself, as I'm not on my computer for quite some days/weeks ahead. So if checking for the fix to work, BOTH of

solarpanels with housing have to be checked, also the hg-5 antenna, which seems to be not fixed, as it is affected with the same bug.

#15 - 07/31/2021 11:06 AM - Anth12
- File screenshot87.png added

Yeah that's fixed.

Resolved

#16 - 08/05/2021 03:49 PM - just_jim
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100
